Bug 341307 - digiKam crashing on startup
Summary: digiKam crashing on startup
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Engine (show other bugs)
Version: 4.5.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-11-26 21:37 UTC by Kenneth Ingham
Modified: 2020-08-29 14:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Ingham 2014-11-26 21:37:24 UTC
Application: digikam (4.5.0)
KDE Platform Version: 4.14.3
Qt Version: 4.8.6
Operating System: Linux 3.16.6-2-desktop x86_64
Distribution: "openSUSE 13.2 (Harlequin) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

Started digikam and it crashed after displaying the real (not splash) window.

Digikam is compiled from sources obtained earlier today (digikam-4.5.0.tar.bz2).  Libraries that are not supplied with digikam sources are from OpenSUSE 13.2 distribution.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f0283050880 (LWP 7496))]

Thread 5 (Thread 0x7f02619a4700 (LWP 7497)):
#0  0x00007f0278140e5d in recvmsg () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f02830c5eb9 in udev_monitor_receive_device (udev_monitor=0x1712c80) at src/libudev/libudev-monitor.c:599
#2  0x00007f0267bd42eb in linux_udev_event_thread_main (arg=<optimized out>) at os/linux_udev.c:187
#3  0x00007f027813a0a4 in start_thread (arg=0x7f02619a4700) at pthread_create.c:309
#4  0x00007f02773d27fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f025b153700 (LWP 7498)):
[KCrash Handler]
#6  0x00007f0277322187 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f0277323538 in __GI_abort () at abort.c:78
#8  0x00007f027731b126 in __assert_fail_base (fmt=0x7f0277451018 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x7f0275c12033 "!xcb_xlib_unknown_req_in_deq", file=file@entry=0x7f0275c1200b "xcb_io.c", line=line@entry=179, function=function@entry=0x7f0275c124d0 <__PRETTY_FUNCTION__.14410> "dequeue_pending_request") at assert.c:92
#9  0x00007f027731b1d2 in __GI___assert_fail (assertion=assertion@entry=0x7f0275c12033 "!xcb_xlib_unknown_req_in_deq", file=file@entry=0x7f0275c1200b "xcb_io.c", line=line@entry=179, function=function@entry=0x7f0275c124d0 <__PRETTY_FUNCTION__.14410> "dequeue_pending_request") at assert.c:101
#10 0x00007f0275ba256c in dequeue_pending_request (dpy=dpy@entry=0x176a750, req=req@entry=0x7f02541a5510) at xcb_io.c:177
#11 0x00007f0275ba3393 in _XReply (dpy=dpy@entry=0x176a750, rep=rep@entry=0x7f025b151750, extra=extra@entry=0, discard=discard@entry=0) at xcb_io.c:639
#12 0x00007f0275b8a056 in XGetWindowProperty (dpy=0x176a750, w=71303782, property=property@entry=35, offset=offset@entry=0, length=length@entry=9, delete=delete@entry=0, req_type=req_type@entry=35, actual_type=actual_type@entry=0x7f025b151818, actual_format=actual_format@entry=0x7f025b15180c, nitems=nitems@entry=0x7f025b151828, bytesafter=bytesafter@entry=0x7f025b151820, prop=prop@entry=0x7f025b151810) at GetProp.c:69
#13 0x00007f0275b88f3e in XGetWMHints (dpy=<optimized out>, w=<optimized out>) at GetHints.c:116
#14 0x00007f02791ef89c in QWidgetPrivate::setWindowIcon_sys(bool) (this=this@entry=0x7f02545247f0, forceReset=forceReset@entry=false) at kernel/qwidget_x11.cpp:1557
#15 0x00007f02791a4af5 in QWidget::create(unsigned long, bool, bool) (this=0x7f02543c76c0, window=window@entry=0, initializeWindow=initializeWindow@entry=true, destroyOldWindow=destroyOldWindow@entry=true) at kernel/qwidget.cpp:1543
#16 0x00007f02791a5174 in QWidgetPrivate::createWinId(unsigned long) (this=<optimized out>, winid=winid@entry=0) at kernel/qwidget.cpp:2576
#17 0x00007f02791a520b in QWidget::winId() const (this=0x7f02543c76c0) at kernel/qwidget.cpp:2534
#18 0x00007f027a0332ef in KDialog::setPlainCaption(QString const&) (this=this@entry=0x7f02543c76c0, caption=...) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kdialog.cpp:493
#19 0x00007f027a032692 in KDialogPrivate::init(KDialog*) (this=this@entry=0x7f02540085a0, q=q@entry=0x7f02543c76c0) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kdialog.cpp:181
#20 0x00007f027a0327f2 in KDialog::KDialog(QWidget*, QFlags<Qt::WindowType>) (this=0x7f02543c76c0, parent=<optimized out>, flags=...) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kdialog.cpp:192
#21 0x00007f027a046295 in KMessageBox::informationListWId(unsigned long, QString const&, QStringList const&, QString const&, QString const&, QFlags<KMessageBox::Option>) (parent_id=0, text=..., strlist=..., caption=..., dontShowAgainName=..., options=...) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kmessagebox.cpp:987
#22 0x00007f027a046564 in KMessageBox::informationWId(unsigned long, QString const&, QString const&, QString const&, QFlags<KMessageBox::Option>) (parent_id=parent_id@entry=0, text=..., caption=..., dontShowAgainName=..., options=...) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kmessagebox.cpp:969
#23 0x00007f027a046851 in KMessageBox::messageBoxWId(unsigned long, KMessageBox::DialogType, QString const&, QString const&, KGuiItem const&, KGuiItem const&, KGuiItem const&, QString const&, QFlags<KMessageBox::Option>) (parent_id=parent_id@entry=0, type=type@entry=KMessageBox::Information, text=..., caption=..., buttonYes=..., buttonNo=..., buttonCancel=..., dontShow=..., options=...) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kmessagebox.cpp:1100
#24 0x00007f027a046ab5 in KMessageBox::queuedMessageBoxWId(unsigned long, KMessageBox::DialogType, QString const&, QString const&) (parent_id=0, type=KMessageBox::Information, text=..., caption=...) at /usr/src/debug/kdelibs-4.14.3/kdeui/dialogs/kmessagebox.cpp:1135
#25 0x00007f027894e24a in KMessage::message(KMessage::MessageType, QString const&, QString const&) (messageType=messageType@entry=KMessage::Information, text=..., caption=...) at /usr/src/debug/kdelibs-4.14.3/kdecore/io/kmessage.cpp:97
#26 0x00007f0278941bdc in KMessageBoxDebugStream::writeData(char const*, long long) (this=0x7f02542208f0, data=<optimized out>, len=181) at /usr/src/debug/kdelibs-4.14.3/kdecore/io/kdebug.cpp:170
#27 0x00007f02784605b0 in QIODevice::write(char const*, long long) (this=0x7f02542208f0, data=0x7f02545650f8 "digikam(7496)/KEXIV2: Cannot load metadata from file   (Error # 11 :  /home/ingham/Photos/CHDKtest-2011-08-03/100CANON/CRW_0817.CR2: The file contains data of an unknown image type ", maxSize=<optimized out>) at io/qiodevice.cpp:1371
#28 0x00007f027846fbdd in QTextStreamPrivate::flushWriteBuffer() (data=..., this=<optimized out>) at ../../src/corelib/io/qiodevice.h:127
#29 0x00007f027846fbdd in QTextStreamPrivate::flushWriteBuffer() (this=this@entry=0x7f0254556790) at io/qtextstream.cpp:681
#30 0x00007f02784787c1 in QTextStream::~QTextStream() (this=0x7f025429b890, __in_chrg=<optimized out>) at io/qtextstream.cpp:1149
#31 0x00007f028106d88d in QDebug::Stream::~Stream() (this=0x7f025429b890, __in_chrg=<optimized out>) at /usr/include/QtCore/qdebug.h:64
#32 0x00007f028106d94b in QDebug::~QDebug() (this=0x7f025b151f70, __in_chrg=<optimized out>) at /usr/include/QtCore/qdebug.h:88
#33 0x00007f0281073b41 in KExiv2Iface::KExiv2::Private::printExiv2ExceptionError(QString const&, Exiv2::BasicError<char>&) (msg=..., e=...) at /usr/src/digikam-4.5.0/extra/libkexiv2/libkexiv2/kexiv2_p.cpp:342
#34 0x00007f028106c45d in KExiv2Iface::KExiv2::load(QString const&) const (this=0x7f025456a560, filePath=...) at /usr/src/digikam-4.5.0/extra/libkexiv2/libkexiv2/kexiv2.cpp:340
#35 0x00007f0280683a9b in Digikam::DMetadata::load(QString const&) const (this=0x7f025456a560, filePath=...) at /usr/src/digikam-4.5.0/core/libs/dmetadata/dmetadata.cpp:110
#36 0x00007f028001b55c in Digikam::ImageScanner::loadFromDisk() (this=0x7f025b152230) at /usr/src/digikam-4.5.0/core/libs/database/imagescanner.cpp:1525
#37 0x00007f02800153c1 in Digikam::ImageScanner::newFile(int) (this=0x7f025b152230, albumId=16) at /usr/src/digikam-4.5.0/core/libs/database/imagescanner.cpp:285
#38 0x00007f027ffb78ad in Digikam::CollectionScanner::scanNewFile(QFileInfo const&, int) (this=0x7f025b152cc0, info=..., albumId=16) at /usr/src/digikam-4.5.0/core/libs/database/collectionscanner.cpp:1247
#39 0x00007f027ffb6b18 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) (this=0x7f025b152cc0, location=..., album=...) at /usr/src/digikam-4.5.0/core/libs/database/collectionscanner.cpp:1089
#40 0x00007f027ffb6d46 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) (this=0x7f025b152cc0, location=..., album=...) at /usr/src/digikam-4.5.0/core/libs/database/collectionscanner.cpp:1112
#41 0x00007f027ffb6d46 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) (this=0x7f025b152cc0, location=..., album=...) at /usr/src/digikam-4.5.0/core/libs/database/collectionscanner.cpp:1112
#42 0x00007f027ffb53ef in Digikam::CollectionScanner::scanAlbumRoot(Digikam::CollectionLocation const&) (this=0x7f025b152cc0, location=...) at /usr/src/digikam-4.5.0/core/libs/database/collectionscanner.cpp:828
#43 0x00007f027ffb3a94 in Digikam::CollectionScanner::completeScan() (this=0x7f025b152cc0) at /usr/src/digikam-4.5.0/core/libs/database/collectionscanner.cpp:489
#44 0x000000000060b19d in Digikam::ScanController::run() (this=0x1883d40) at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:756
#45 0x00007f02783d079f in QThreadPrivate::start(void*) (arg=0x1883d40) at thread/qthread_unix.cpp:349
#46 0x00007f027813a0a4 in start_thread (arg=0x7f025b153700) at pthread_create.c:309
#47 0x00007f02773d27fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f025a952700 (LWP 7499)):
#0  0x00007f02773ca3cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f0273981be4 in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f024c003260, timeout=-1, context=0x7f024c0009a0) at gmain.c:4076
#2  0x00007f0273981be4 in g_main_context_iterate (context=context@entry=0x7f024c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3776
#3  0x00007f0273981cec in g_main_context_iteration (context=0x7f024c0009a0, may_block=1) at gmain.c:3842
#4  0x00007f02784ff0de in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f024c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f02784d0e6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f025a951d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f02784d1165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f025a951d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f02783ce0bf in QThread::exec() (this=this@entry=0x19c0360) at thread/qthread.cpp:538
#8  0x00007f02784b2783 in QInotifyFileSystemWatcherEngine::run() (this=0x19c0360) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007f02783d079f in QThreadPrivate::start(void*) (arg=0x19c0360) at thread/qthread_unix.cpp:349
#10 0x00007f027813a0a4 in start_thread (arg=0x7f025a952700) at pthread_create.c:309
#11 0x00007f02773d27fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f024bfff700 (LWP 7503)):
#0  0x00007f0278424d6f in qt_gettime() () at tools/qelapsedtimer_unix.cpp:150
#1  0x00007f0278500875 in QTimerInfoList::timerWait(timeval&) (this=0x7f0244002ee0) at kernel/qeventdispatcher_unix.cpp:354
#2  0x00007f0278500875 in QTimerInfoList::timerWait(timeval&) (this=0x7f0244002ee0, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#3  0x00007f02784fef8c in timerSourcePrepareHelper(GTimerSource*, gint*) (src=<optimized out>, timeout=0x7f024bffeb64) at kernel/qeventdispatcher_glib.cpp:143
#4  0x00007f02784ff035 in timerSourcePrepare(GSource*, gint*) (source=<optimized out>, timeout=timeout@entry=0x7f024bffeb64) at kernel/qeventdispatcher_glib.cpp:176
#5  0x00007f027398128d in g_main_context_prepare (context=context@entry=0x7f02440009a0, priority=priority@entry=0x7f024bffebe8) at gmain.c:3399
#6  0x00007f0273981b03 in g_main_context_iterate (context=context@entry=0x7f02440009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3761
#7  0x00007f0273981cec in g_main_context_iteration (context=0x7f02440009a0, may_block=1) at gmain.c:3842
#8  0x00007f02784ff0de in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f02440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#9  0x00007f02784d0e6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f024bffed20, flags=...) at kernel/qeventloop.cpp:149
#10 0x00007f02784d1165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f024bffed20, flags=...) at kernel/qeventloop.cpp:204
#11 0x00007f02783ce0bf in QThread::exec() (this=this@entry=0x1dc30f0) at thread/qthread.cpp:538
#12 0x00007f02784b2783 in QInotifyFileSystemWatcherEngine::run() (this=0x1dc30f0) at io/qfilesystemwatcher_inotify.cpp:265
#13 0x00007f02783d079f in QThreadPrivate::start(void*) (arg=0x1dc30f0) at thread/qthread_unix.cpp:349
#14 0x00007f027813a0a4 in start_thread (arg=0x7f024bfff700) at pthread_create.c:309
#15 0x00007f02773d27fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f0283050880 (LWP 7496)):
#0  0x00007f027813e05f in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f02783d0c86 in QWaitCondition::wait(QMutex*, unsigned long) (time=18446744073709551615, this=0x1883e70) at thread/qwaitcondition_unix.cpp:86
#2  0x00007f02783d0c86 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x1883e20, mutex=mutex@entry=0x1883df8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f02783d036e in QThread::wait(unsigned long) (this=<optimized out>, time=18446744073709551615) at thread/qthread_unix.cpp:720
#4  0x0000000000609d26 in Digikam::ScanController::shutDown() (this=0x1883d40) at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:361
#5  0x0000000000609b3c in Digikam::ScanController::~ScanController() (this=0x1883d40, __in_chrg=<optimized out>) at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:337
#6  0x000000000060e19a in Digikam::ScanControllerCreator::~ScanControllerCreator() (this=0x1883d40, __in_chrg=<optimized out>) at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:277
#7  0x000000000060979b in destroy() () at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:284
#8  0x00000000005d4ad5 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic() (this=0xc84e88 <Digikam::._274::operator->()::cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#9  0x00007f0277324bf9 in __run_exit_handlers (status=1, listp=0x7f027768f5a8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#10 0x00007f0277324c45 in __GI_exit (status=<optimized out>) at exit.c:104
#11 0x00007f02791c4fc8 in qt_xio_errhandler(Display*) () at kernel/qapplication_x11.cpp:773
#12 0x00007f027a0cd760 in KApplication::xioErrhandler(_XDisplay*) (this=0x7fffa75ac490, dpy=0x176a750) at /usr/src/debug/kdelibs-4.14.3/kdeui/kernel/kapplication.cpp:419
#13 0x00007f0275ba53be in _XIOError (dpy=dpy@entry=0x176a750) at XlibInt.c:1498
#14 0x00007f0275ba353a in _XReply (dpy=dpy@entry=0x176a750, rep=rep@entry=0x7fffa75ab3e0, extra=extra@entry=0, discard=discard@entry=0) at xcb_io.c:708
#15 0x00007f0275b8a056 in XGetWindowProperty (dpy=0x176a750, w=71303329, property=325, offset=0, length=1024, delete=0, req_type=4, actual_type=0x7fffa75ab4b0, actual_format=0x7fffa75ab4ac, nitems=0x7fffa75ab4c0, bytesafter=0x7fffa75ab4c8, prop=0x7fffa75ab4b8) at GetProp.c:69
#16 0x00007f02791d3382 in QETWidget::translatePropertyEvent(_XEvent const*) (this=this@entry=0x1a971c0, event=event@entry=0x7fffa75ab770) at kernel/qapplication_x11.cpp:5001
#17 0x00007f02791d4d46 in QApplication::x11ProcessEvent(_XEvent*) (this=0x7fffa75ac490, event=event@entry=0x7fffa75ab770) at kernel/qapplication_x11.cpp:3922
#18 0x00007f02791fb5c2 in x11EventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x1769ab0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#19 0x00007f0273981a04 in g_main_context_dispatch (context=0x1768880) at gmain.c:3111
#20 0x00007f0273981a04 in g_main_context_dispatch (context=context@entry=0x1768880) at gmain.c:3710
#21 0x00007f0273981c48 in g_main_context_iterate (context=context@entry=0x1768880, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3781
#22 0x00007f0273981cec in g_main_context_iteration (context=0x1768880, may_block=1) at gmain.c:3842
#23 0x00007f02784ff0de in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x16c5640, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#24 0x00007f02791fb676 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007f02784d0e6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x196dd30, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007f02784d1165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x196dd30, flags=...) at kernel/qeventloop.cpp:204
#27 0x000000000060a49b in Digikam::ScanController::completeCollectionScanCore(bool, bool) (this=0x1883d40, needTotalFiles=true, defer=false) at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:486
#28 0x000000000060a3ee in Digikam::ScanController::completeCollectionScanInBackground(bool) (this=0x1883d40, defer=false) at /usr/src/digikam-4.5.0/core/app/database/scancontroller.cpp:471
#29 0x000000000053b955 in Digikam::NewItemsFinder::slotStart() (this=0x37a22f0) at /usr/src/digikam-4.5.0/core/utilities/maintenance/newitemsfinder.cpp:112
#30 0x000000000053b221 in Digikam::NewItemsFinder::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x37a22f0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x5510f90) at /usr/src/digikam-4.5.0/build/core/app/newitemsfinder.moc:57
#31 0x00007f02784ea59e in QObject::event(QEvent*) (this=0x37a22f0, e=<optimized out>) at kernel/qobject.cpp:1231
#32 0x00007f027915e76c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x17753e0, receiver=receiver@entry=0x37a22f0, e=e@entry=0x196f2e0) at kernel/qapplication.cpp:4565
#33 0x00007f0279164cad in QApplication::notify(QObject*, QEvent*) (this=this@entry=0x7fffa75ac490, receiver=receiver@entry=0x37a22f0, e=e@entry=0x196f2e0) at kernel/qapplication.cpp:4351
#34 0x00007f027a0cebaa in KApplication::notify(QObject*, QEvent*) (this=0x7fffa75ac490, receiver=0x37a22f0, event=0x196f2e0) at /usr/src/debug/kdelibs-4.14.3/kdeui/kernel/kapplication.cpp:311
#35 0x00007f02784d22ad in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7fffa75ac490, receiver=receiver@entry=0x37a22f0, event=event@entry=0x196f2e0) at kernel/qcoreapplication.cpp:953
#36 0x00007f02784d557d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x196f2e0, receiver=0x37a22f0) at kernel/qcoreapplication.h:231
#37 0x00007f02784d557d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x16bfdc0) at kernel/qcoreapplication.cpp:1577
#38 0x00007f02784d5a23 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#39 0x00007f02784ff8fe in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) () at kernel/qcoreapplication.h:236
#40 0x00007f02784ff8fe in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x1768690) at kernel/qeventdispatcher_glib.cpp:300
#41 0x00007f0273981a04 in g_main_context_dispatch (context=0x1768880) at gmain.c:3111
#42 0x00007f0273981a04 in g_main_context_dispatch (context=context@entry=0x1768880) at gmain.c:3710
#43 0x00007f0273981c48 in g_main_context_iterate (context=context@entry=0x1768880, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3781
#44 0x00007f0273981cec in g_main_context_iteration (context=0x1768880, may_block=1) at gmain.c:3842
#45 0x00007f02784ff0be in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x16c5640, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#46 0x00007f02791fb676 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007f02784d0e6f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffa75ac310, flags=...) at kernel/qeventloop.cpp:149
#48 0x00007f02784d1165 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffa75ac310, flags=...) at kernel/qeventloop.cpp:204
#49 0x00007f02784d65b9 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1225
#50 0x000000000071834b in main(int, char**) (argc=5, argv=0x7fffa75acba8) at /usr/src/digikam-4.5.0/core/app/main/main.cpp:236

Possible duplicates by query: bug 341024, bug 337300, bug 336594, bug 336309, bug 335996.

Reported using DrKonqi
Comment 1 caulier.gilles 2014-11-26 22:05:49 UTC

*** This bug has been marked as a duplicate of bug 341024 ***
Comment 2 caulier.gilles 2020-08-29 14:47:25 UTC
Fixed with #341024